#include "string.h"
#include "msgque.h"
static enum MqErrorE  FTR( struct MqS *ctx, MQ_PTR data) {
  MQ_STR str;
  MqSendSTART(ctx->send);
  while (MqReadItemExists(ctx->read)) {
    MqErrorCheck (MqReadC(ctx->read, &str));
    MqBufferSetV(ctx->temp,"<%s>", str);
    MqSendU(ctx->send, ctx->temp);
  }
  return MqSendFTR(ctx->send, 10);
error:
  return MqErrorStack (ctx->error);
}
int main (int argc, char **argv) 
{
  struct MqS * ctx;
  struct MqBufferLS * largv, * lalfa;
  struct MqConfigS * config = MqConfigInit();
  MqBufferLCreateArgv(argc, argv, &largv, &lalfa);
  config->name = mq_strdup("ManFilter");
  config->isServer = MQ_YES;
  config->isFilter = MQ_YES;
  config->fFTR = FTR;
  MqErrorCheck (MqCreate (config, largv, lalfa, &ctx));
  MqErrorCheck (MqCheckForLeftOverArguments(ctx, &largv));
  MqErrorCheck (MqProcessEvent(ctx,MQ_TIMEOUT,MQ_WAIT_FOREVER));
error:
  MqExit(ctx);
}
