#include "string.h"
#include "msgque.h"
int main (int argc, char **argv) 
{
  struct MqS * ctx;
  struct MqBufferLS * largv, * lalfa;
  struct MqConfigS * config = MqConfigInit();
  MQ_DBL d;
  MqBufferLCreateArgv(argc, argv, &largv, &lalfa);
  config->name = mq_strdup("MyMul");
  MqErrorCheck (MqCreate (config, largv, lalfa, &ctx));
  MqErrorCheck (MqCheckForLeftOverArguments(ctx, &largv));
  MqSendSTART(ctx->send);
  MqSendD(ctx->send,3.67);
  MqSendD(ctx->send,22.3);
  MqSendEND_AND_WAIT(ctx->send, "MMUL", 10);
  MqErrorCheck (MqReadD(ctx->read, &d));
  printf("%f\n", d);
error:
  MqExit(ctx);
}
