#include "string.h"
#include "msgque.h"
static enum MqErrorE  MMUL( struct MqS *ctx, MQ_PTR data) {
  MQ_DBL d1,d2;
  MqSendSTART(ctx->send);
  MqErrorCheck (MqReadD(ctx->read, &d1));
  MqErrorCheck (MqReadD(ctx->read, &d2));
  MqSendD(ctx->send, d1*d2);
error:
  return MqSendRETURN(ctx->send);
}
int main (int argc, char **argv) 
{
  struct MqS * ctx;
  struct MqBufferLS * largv, * lalfa;
  struct MqConfigS * config = MqConfigInit();
  MqBufferLCreateArgv(argc, argv, &largv, &lalfa);
  config->name = mq_strdup("MyMulServer");
  config->isServer = MQ_YES;
  MqErrorCheck (MqCreate (config, largv, lalfa, &ctx));
  MqErrorCheck (MqCheckForLeftOverArguments(ctx, &largv));
  MqErrorCheck (MqServiceCreate(ctx,"MMUL", MMUL, NULL, NULL));
  MqErrorCheck (MqProcessEvent(ctx,MQ_TIMEOUT,MQ_WAIT_FOREVER));
error:
  MqExit(ctx);
}
