/**
 *  \file       src/send.h
 *  \brief      \$Id: send.h 1186 2009-05-19 06:41:03Z dev1usr $
 *  
 *  (C) 2004 - LibMsgque - Project - Group
 *  
 *  \version    \$Rev: 1186 $
 *  \author     EMail: aotto1968 at users.sourceforge.net
 *  \attention  this software has GPL permissions to copy
 *              please contact AUTHORS for additional information
 */

#ifndef SEND_H
#   define SEND_H

/*****************************************************************************/
/*                                                                           */
/*                           send_private_init                               */
/*                                                                           */
/*****************************************************************************/

/** -brief creation of an  \e MqSendS object
 */
enum MqErrorE pSendCreate (
  struct MqS * const msgque,
  struct MqSendS ** const out
);

/** -brief deletion of an \e MqSendS object
 */
enum MqErrorE pSendDelete (
  struct MqSendS ** const sendP
) __attribute__((nonnull));

MQ_INLINE enum MqErrorE pSendSYSTEM (
  struct MqSendS * const send,
  MQ_STRB const * const token
);

enum MqErrorE pMqSendEND (
  struct MqSendS * const send,
  MQ_STRB const * const token,
  const MQ_HDL trans
);

enum MqErrorE pSendSYSTEM_RETR (
  struct MqSendS * const send
);

#endif /* SEND_H */


