/**
 *  \file       tclmsgque/service_tcl.c
 *  \brief      \$Id: service_tcl.c 1178 2009-05-15 07:25:57Z dev1usr $
 *  
 *  (C) 2004 - LibMsgque - Project - Group
 *  
 *  \version    \$Rev: 1178 $
 *  \author     EMail: aotto1968 at users.sourceforge.net
 *  \attention  this software has GPL permissions to copy
 *              please contact AUTHORS for additional information
 */

#include "msgque_tcl.h"

HD(ServiceCreate)
{
  MQ_STR token;
  Tcl_Obj * service;
  SETUP_msgque
  CHECK_C(token)
  CHECK_PROC(service, "CONTEXT ServiceCreate token tclproc")
  CHECK_NOARGS
  Tcl_IncrRefCount (service);
  ErrorMqToTclWithCheck (MqServiceCreate (msgque, token, NS(ProcCall), service, NS(ProcFree)));
  RETURN_TCL
}

HD(ServiceDelete)
{
  MQ_STR token;
  SETUP_msgque
  CHECK_C(token)
  CHECK_NOARGS
  ErrorMqToTclWithCheck (MqServiceDelete (msgque, token));
  RETURN_TCL
}

