using System;
using csmsgque;

namespace example {
  sealed class Filter2 : MqS, IFilter {
    static Filter2() {
      name = "filter";
    }

    // used to parse command-line options and for initial startup
    public Filter2(string[] argv) : base(argv) {}
    public Filter2() : base() {}
    void IServer.Config() { }

    // service definition from IFilter
    public void FTR () {
      throw new ApplicationException("my C# error");
    }

    // service definition from IFilter
    public void EOF () {
    }

    public static void Main(String[] argv) {
      Filter2 srv = new Filter2(argv);
      srv.ProcessEvent(MqS.WAIT.FOREVER);
      srv.Delete();
    }
  }
}
