using System;
using csmsgque;

namespace example {

  sealed class MyClient : MqS {

    // used to parse command-line options and for initial startup
    public MyClient(string[] argv) : base(argv) {}

    // create a child object of parent
    public MyClient(MyClient parent, string[] argv) : base(parent, argv) {}

    static void Main(string[] argv) {
      MyClient c = new MyClient(argv);
      c.SendSTART();
      c.SendEND_AND_WAIT("HLWO", 5);
      Console.WriteLine(c.ReadC());
      c.Delete();
    }
  }
}
