package require TclMsgque
set total 0
proc FTR {ctx} {
  foreach {position amount currency} [$ctx ReadAll] break
  switch -exact $currency {
    euro    {set exchange 1.3541}
    pound   {set exchange 1.9896}
    default {set exchange 1}
  }
  set amount [expr {$amount * $exchange}]
  set currency dollar
  set ::total [expr {$::total + $amount}]
  $ctx SendSTART
  $ctx SendC $position
  $ctx SendD $amount
  $ctx SendFTR
}
proc EOF {ctx} {
  $ctx SendSTART
  $ctx SendC total
  $ctx SendD $::total
  $ctx SendFTR
}
set srv [tclmsgque MqS --server --filter --FTR FTR --EOF EOF {*}$argv]
$srv ProcessEvent -wait FOREVER
$srv Delete
