/**
 *  \file       pymsgque/test_python.c
 *  \brief      \$Id: test_python.c 1182 2009-05-15 13:59:20Z dev1usr $
 *  
 *  (C) 2009 - LibMsgque - Project - Group
 *  
 *  \version    \$Rev: 1182 $
 *  \author     EMail: aotto1968 at users.sourceforge.net
 *  \attention  this software has GPL permissions to copy
 *              please contact AUTHORS for additional information
 */

#include "msgque_python.h"

PyObject* NS(ErrorC) (
  PyObject  *self,
  PyObject  *args      
)
{
  const char *func, *message;
  int num;
  SETUP_msgque;
  if (!PyArg_ParseTuple(args, "sis:ErrorC", &func, &num, &message)) {
    return NULL;
  }
  MqErrorC(msgque->error, func, num, message);
  ErrorMqToPython();
error:
  return NULL;
}


