/**
 *  \file       src/log.h
 *  \brief      \$Id: log.h 1061 2009-04-23 15:02:15Z dev1usr $
 *  
 *  (C) 2004 - LibMsgque - Project - Group
 *  
 *  \version    \$Rev: 1061 $
 *  \author     EMail: aotto1968 at users.sourceforge.net
 *  \attention  this software has GPL permissions to copy
 *              please contact AUTHORS for additional information
 */

#ifndef LOG_H
#   define LOG_H

void
 pLogHDR (
  struct MqS * const msgque,
  const char *prefix,
  const MQ_INT level,
  struct MqBufferS * const buf
);

void
 pLogBDY (
  struct MqS * const msgque,
  const char *prefix,
  const MQ_INT level,
  struct MqBufferS * const buf
);

void
 pLogMqBuffer (
  struct MqS * const msgque,
  const char *header,
  MQ_INT level,
  struct MqBufferS * buf
);

void pLogHEX ( struct MqS const * const, MQ_STRB const * const, MQ_BINB const * , MQ_SIZE const);

#endif // LOG_H

