#!/usr/bin/env bash
#+
#§  \file       win/.MAKE_DIST.bash
#§  \brief      \$Id: .MAKE_DIST.bash 1217 2009-05-21 08:55:08Z dev1usr $
#§  
#§  (C) 2009 - LibMsgque - Project - Group
#§  
#§  \version    \$Rev: 1217 $
#§  \author     EMail: aotto1968 at users.sourceforge.net
#§  \attention  this software has GPL permissions to copy
#§              please contact AUTHORS for additional information
#§

. ./env.sh

PKG=${PACKAGE}-${PACKAGE_VERSION}-i686-pc-win32
FINAL_PKG=../binary-dist/$PKG.zip

(cd ../tclmsgque; $TCLSH ./.MAKE_INDEX.tcl;)

rm -fr $PKG
mkdir $PKG
mkdir $PKG/bin
mkdir $PKG/lib
mkdir $PKG/include

for f in $(find .. -type f) ; do
    [[ "$f" == *ccmsgque* ]] && continue
    [[ "$f" == *win* ]] && continue
    [[ "$f" == *example* ]] && continue
    [[ "$f" == *tests* ]] && continue
    case "$f" in
	atool.exe)	    cp $f $PKG/bin;;
	*.dll)		    cp $f $PKG/bin;;
	*.pyd)		    cp $f $PKG/bin;;
	*.lib)		    cp $f $PKG/lib;;
	*.exp)		    cp $f $PKG/lib;;
	*.jar)		    cp $f $PKG/bin;;
	*/msgque.h)	    cp $f $PKG/include;;
	*/pkgIndex.tcl)	    cp $f $PKG/bin;;
    esac
done

zip -r $FINAL_PKG $PKG


